Create NAT rule
curl --request POST \
--url https://api.example.com/service/{tenant_name}/nat_rule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"outside": "<string>",
"rule_type": "SOURCE_ONE_TO_ONE",
"inside": "<string>",
"inside_port": 123,
"protocol": 123,
"outside_port": 123,
"filters": [],
"description": "<string>"
}
'import requests
url = "https://api.example.com/service/{tenant_name}/nat_rule"
payload = {
"name": "<string>",
"outside": "<string>",
"rule_type": "SOURCE_ONE_TO_ONE",
"inside": "<string>",
"inside_port": 123,
"protocol": 123,
"outside_port": 123,
"filters": [],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
outside: '<string>',
rule_type: 'SOURCE_ONE_TO_ONE',
inside: '<string>',
inside_port: 123,
protocol: 123,
outside_port: 123,
filters: [],
description: '<string>'
})
};
fetch('https://api.example.com/service/{tenant_name}/nat_rule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"extra_details": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}service - NAT
Create NAT rule
POST
/
service
/
{tenant_name}
/
nat_rule
Create NAT rule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
SOURCE_ONE_TO_ONE, SOURCE_NAT, DESTINATION_NAT, NOP Available options:
segment, ip Show child attributes
Show child attributes
⌘I